{
    attributes = (
        {
            columnName = "DEP_HT_SAISIE"; 
            externalType = NUMBER; 
            name = depHtSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DEP_ID"; 
            externalType = NUMBER; 
            name = depId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DEP_ID_REVERSEMENT"; 
            externalType = NUMBER; 
            name = depIdReversement; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "DEP_MONTANT_BUDGETAIRE"; 
            externalType = NUMBER; 
            name = depMontantBudgetaire; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DEP_TTC_SAISIE"; 
            externalType = NUMBER; 
            name = depTtcSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DEP_TVA_SAISIE"; 
            externalType = NUMBER; 
            name = depTvaSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DPP_ID"; 
            externalType = NUMBER; 
            name = dppId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ENG_ID"; 
            externalType = NUMBER; 
            name = engId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TAP_ID"; 
            externalType = NUMBER; 
            name = tapId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "UTL_ORDRE"; 
            externalType = NUMBER; 
            name = utlOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (depId, depIdReversement, dppId, engId, exeOrdre, tapId, utlOrdre); 
    className = "org.cocktail.kaki.server.metier.EODepenseBudget"; 
    classProperties = (
        depHtSaisie, 
        depId, 
        depMontantBudgetaire, 
        depTtcSaisie, 
        depTvaSaisie, 
        dppId, 
        engage, 
        tapId, 
        exercice, 
        depenseCtrlPlancos, 
        depensePapier, 
        depenseCtrlAnalytiques, 
        depenseCtrlConventions, 
        reversement, 
        utilisateur, 
        pafCapExtDeps
    ); 
    externalName = "JEFY_DEPENSE.DEPENSE_BUDGET"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            depHtSaisie, 
            depId, 
            depMontantBudgetaire, 
            depTtcSaisie, 
            depTvaSaisie, 
            depenseCtrlPlancos, 
            depensePapier, 
            dppId, 
            engage, 
            exercice, 
            tapId, 
            reversement, 
            utilisateur, 
            depenseCtrlAnalytiques, 
            depenseCtrlConventions
        ); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EODepenseBudget"; 
    }; 
    name = DepenseBudget; 
    primaryKeyAttributes = (depId); 
    relationships = (
        {
            destination = DepenseCtrlAnalytique; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = depId; sourceAttribute = depId; }); 
            name = depenseCtrlAnalytiques; 
        }, 
        {
            destination = DepenseCtrlConvention; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = depId; sourceAttribute = depId; }); 
            name = depenseCtrlConventions; 
        }, 
        {
            destination = DepenseCtrlPlanco; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = depId; sourceAttribute = depId; }); 
            name = depenseCtrlPlancos; 
        }, 
        {
            destination = DepensePapier; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = dppId; sourceAttribute = dppId; }); 
            name = depensePapier; 
        }, 
        {
            destination = Engage; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = engId; sourceAttribute = engId; }); 
            name = engage; 
        }, 
        {
            destination = Exercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = PafCapExtDep; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = depId; sourceAttribute = depId; }); 
            name = pafCapExtDeps; 
        }, 
        {
            destination = DepenseBudget; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = depId; sourceAttribute = depIdReversement; }); 
            name = reversement; 
        }, 
        {
            destination = "ca_Utilisateur"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = utlOrdre; sourceAttribute = utlOrdre; }); 
            name = utilisateur; 
        }
    ); 
}
